HDF: java/src/jni/hdfdfpalImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfdfpalImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFPaddpal (JNIEnv *env, jclass clss, jstring filename, jbyteArray palette)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFPgetpal (JNIEnv *env, jclass clss, jstring filename, jbyteArray palette)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_DFPlastref (JNIEnv *env, jclass clss)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_DFPnpals (JNIEnv *env, jclass clss, jstring filename)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFPputpal (JNIEnv *env, jclass clss, jstring filename, jbyteArray palette, jint overwrite, jstring filemode)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFPreadref (JNIEnv *env, jclass clss, jstring filename, jshort ref)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_DFPrestart (JNIEnv *env, jclass clss)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFPwriteref (JNIEnv *env, jclass clss, jstring filename, jshort ref)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_DFPaddpal()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFPaddpal | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | palette )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPgetpal()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFPgetpal | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | palette )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPlastref()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_DFPlastref | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPnpals()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_DFPnpals | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPputpal()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFPputpal | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | palette,
|  | jint | overwrite,
|  | jstring | filemode )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPreadref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFPreadref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jshort | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPrestart()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_DFPrestart | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_DFPwriteref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFPwriteref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jshort | ref )